Bug 160994 - Message pane paging methods are inconsistent
Summary: Message pane paging methods are inconsistent
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: 1.9.6
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2008-04-18 23:56 UTC by Chris Pimlott
Modified: 2015-04-12 09:44 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot showing the difference in scrolling between methods (97.77 KB, image/png)
2008-04-19 00:01 UTC, Chris Pimlott
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Pimlott 2008-04-18 23:56:35 UTC
Version:           1.9.6 (using KDE 3.5.8)
Installed from:    Ubuntu Packages

The message preview pane content scrolls by different amount depending on what method you use to navigate:

* PgDn/PgUp
* Alt-PgDn/Alt-PgUp
* Spacebar
* Clicking in the scrollbar area below/above the bar

Screenshot included to show difference.  In this example, PgDn scrolls by the least amount, followed by Alt-PgDn and spacebar, which scroll the same amount, and then scrolling by clicking the scrollbar, which scrolls the most.

It is unclear why they should scroll by different amounts.  The behavior should be consistent across all methods.

The results are similarly inconsistent for paging the message pane when viewing a message in its own window as well.
Comment 1 Chris Pimlott 2008-04-19 00:01:55 UTC
Created attachment 24396 [details]
Screenshot showing the difference in scrolling between methods
Comment 2 Martin Fitzpatrick 2009-04-04 03:27:09 UTC
Confirmed this bug still present in KDE 4.2.2. Scrolling in an message window with the different methods scrolls by different amounts, although I get Space as least, then Alt-PgDn, then PgDn as the most.
Comment 3 FiNeX 2009-04-04 11:41:58 UTC
Confirmed in trunk too.
Comment 4 Laurent Montel 2015-04-12 09:44:00 UTC
Thank you for taking the time to file a bug report.

KMail2 was released in 2011, and the entire code base went through significant changes. We are currently in the process of porting to Qt5 and KF5. It is unlikely that these bugs are still valid in KMail2.

We welcome you to try out KMail 2 with the KDE 4.14 release and give your feedback.